<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: FBSDKLoginTooltipView Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#properties">Properties</a> &#124;
<a href="interface_f_b_s_d_k_login_tooltip_view-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">FBSDKLoginTooltipView Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_f_b_s_d_k_login_tooltip_view_8h_source.html">FBSDKLoginTooltipView.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for FBSDKLoginTooltipView:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_f_b_s_d_k_login_tooltip_view.png" usemap="#FBSDKLoginTooltipView_map" alt=""/>
  <map id="FBSDKLoginTooltipView_map" name="FBSDKLoginTooltipView_map">
<area href="interface_f_b_s_d_k_tooltip_view.html" alt="FBSDKTooltipView" shape="rect" coords="0,56,149,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a8f0879fab37905fb4b8f29515a055c00"><td class="memItemLeft" align="right" valign="top">id&lt; <a class="el" href="protocol_f_b_s_d_k_login_tooltip_view_delegate-p.html">FBSDKLoginTooltipViewDelegate</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_f_b_s_d_k_login_tooltip_view.html#a8f0879fab37905fb4b8f29515a055c00">delegate</a></td></tr>
<tr class="separator:a8f0879fab37905fb4b8f29515a055c00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d7116f500f006d7d1d0d5c826b0b493"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_f_b_s_d_k_login_tooltip_view.html#a5d7116f500f006d7d1d0d5c826b0b493">forceDisplay</a></td></tr>
<tr class="separator:a5d7116f500f006d7d1d0d5c826b0b493"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header properties_interface_f_b_s_d_k_tooltip_view"><td colspan="2" onclick="javascript:toggleInherit('properties_interface_f_b_s_d_k_tooltip_view')"><img src="closed.png" alt="-"/>&#160;Properties inherited from <a class="el" href="interface_f_b_s_d_k_tooltip_view.html">FBSDKTooltipView</a></td></tr>
<tr class="memitem:ac94d81890eb496c7afc56277586f938f inherit properties_interface_f_b_s_d_k_tooltip_view"><td class="memItemLeft" align="right" valign="top">CFTimeInterval&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_f_b_s_d_k_tooltip_view.html#ac94d81890eb496c7afc56277586f938f">displayDuration</a></td></tr>
<tr class="separator:ac94d81890eb496c7afc56277586f938f inherit properties_interface_f_b_s_d_k_tooltip_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c9571339fcc84d808716d3911d504fc inherit properties_interface_f_b_s_d_k_tooltip_view"><td class="memItemLeft" align="right" valign="top">FBSDKTooltipColorStyle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_f_b_s_d_k_tooltip_view.html#a0c9571339fcc84d808716d3911d504fc">colorStyle</a></td></tr>
<tr class="separator:a0c9571339fcc84d808716d3911d504fc inherit properties_interface_f_b_s_d_k_tooltip_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6b9bdb1ec818c555c7cde749f22d62c inherit properties_interface_f_b_s_d_k_tooltip_view"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_f_b_s_d_k_tooltip_view.html#af6b9bdb1ec818c555c7cde749f22d62c">message</a></td></tr>
<tr class="separator:af6b9bdb1ec818c555c7cde749f22d62c inherit properties_interface_f_b_s_d_k_tooltip_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48a5512acd97a1af6fbf64e2689e21e2 inherit properties_interface_f_b_s_d_k_tooltip_view"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_f_b_s_d_k_tooltip_view.html#a48a5512acd97a1af6fbf64e2689e21e2">tagline</a></td></tr>
<tr class="separator:a48a5512acd97a1af6fbf64e2689e21e2 inherit properties_interface_f_b_s_d_k_tooltip_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_interface_f_b_s_d_k_tooltip_view"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_interface_f_b_s_d_k_tooltip_view')"><img src="closed.png" alt="-"/>&#160;Instance Methods inherited from <a class="el" href="interface_f_b_s_d_k_tooltip_view.html">FBSDKTooltipView</a></td></tr>
<tr class="memitem:a3feb539ce7f89ccfc17473eec1d36281 inherit pub_methods_interface_f_b_s_d_k_tooltip_view"><td class="memItemLeft" align="right" valign="top">(instancetype)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_f_b_s_d_k_tooltip_view.html#a3feb539ce7f89ccfc17473eec1d36281">initWithTagline:message:colorStyle:</a></td></tr>
<tr class="separator:a3feb539ce7f89ccfc17473eec1d36281 inherit pub_methods_interface_f_b_s_d_k_tooltip_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32f5e16fb896d187676e116b9a5f4bc5 inherit pub_methods_interface_f_b_s_d_k_tooltip_view"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_f_b_s_d_k_tooltip_view.html#a32f5e16fb896d187676e116b9a5f4bc5">presentFromView:</a></td></tr>
<tr class="separator:a32f5e16fb896d187676e116b9a5f4bc5 inherit pub_methods_interface_f_b_s_d_k_tooltip_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1691282086d2b004741c72bf0f0ec4a7 inherit pub_methods_interface_f_b_s_d_k_tooltip_view"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_f_b_s_d_k_tooltip_view.html#a1691282086d2b004741c72bf0f0ec4a7">presentInView:withArrowPosition:direction:</a></td></tr>
<tr class="separator:a1691282086d2b004741c72bf0f0ec4a7 inherit pub_methods_interface_f_b_s_d_k_tooltip_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4d16e66754fef6dcb08a3f1d29ebca6 inherit pub_methods_interface_f_b_s_d_k_tooltip_view"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_f_b_s_d_k_tooltip_view.html#ad4d16e66754fef6dcb08a3f1d29ebca6">dismiss</a></td></tr>
<tr class="separator:ad4d16e66754fef6dcb08a3f1d29ebca6 inherit pub_methods_interface_f_b_s_d_k_tooltip_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Represents a tooltip to be displayed next to a Facebook login button to highlight features for new users.</p>
<p>The <code><a class="el" href="interface_f_b_s_d_k_login_button.html">FBSDKLoginButton</a></code> may display this view automatically. If you do not use the <code><a class="el" href="interface_f_b_s_d_k_login_button.html">FBSDKLoginButton</a></code>, you can manually call one of the <code>present*</code> methods as appropriate and customize behavior via <code><a class="el" href="protocol_f_b_s_d_k_login_tooltip_view_delegate-p.html">FBSDKLoginTooltipViewDelegate</a></code> delegate.</p>
<p>By default, the <code><a class="el" href="interface_f_b_s_d_k_login_tooltip_view.html">FBSDKLoginTooltipView</a></code> is not added to the superview until it is determined the app has migrated to the new login experience. You can override this (e.g., to test the UI layout) by implementing the delegate or setting <code>forceDisplay</code> to YES. </p>
</div><h2 class="groupheader">Property Documentation</h2>
<a id="a8f0879fab37905fb4b8f29515a055c00"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f0879fab37905fb4b8f29515a055c00">&#9670;&nbsp;</a></span>delegate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (id&lt;<a class="el" href="protocol_f_b_s_d_k_login_tooltip_view_delegate-p.html">FBSDKLoginTooltipViewDelegate</a>&gt;) delegate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">weak</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>the delegate </p>

</div>
</div>
<a id="a5d7116f500f006d7d1d0d5c826b0b493"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d7116f500f006d7d1d0d5c826b0b493">&#9670;&nbsp;</a></span>forceDisplay</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) forceDisplay</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>if set to YES, the view will always be displayed and the delegate's <code>loginTooltipView:shouldAppear:</code> will NOT be called. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_f_b_s_d_k_login_tooltip_view_8h_source.html">FBSDKLoginTooltipView.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
